summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/06-adduser_i2pbrowser
diff options
context:
space:
mode:
Diffstat (limited to 'config/chroot_local-hooks/06-adduser_i2pbrowser')
-rwxr-xr-xconfig/chroot_local-hooks/06-adduser_i2pbrowser11
1 files changed, 11 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/06-adduser_i2pbrowser b/config/chroot_local-hooks/06-adduser_i2pbrowser
new file mode 100755
index 0000000..70d100d
--- /dev/null
+++ b/config/chroot_local-hooks/06-adduser_i2pbrowser
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+# Create the i2pbrowser user.
+#
+# We run i2p-browser under this user
+
+echo "Creating the i2pbrowser user"
+
+adduser --system --quiet --group i2pbrowser